<template>
    <div>

        <button @click="changeDisplayStyleShow()" type="button" class="btn btn-primary m-4">Gruppe erstellen</button>
        <div id="notShown" ref="notShown">
            <div class="container">
                <div class="form-group">
                    <form @submit="postGruppe" method="post">
                        <label for="">Art der Ausbildung wählen</label>
                        <select class="form-control form-select-lg mb-3" name="Gruppe Art" id=""
                            v-model="gruppe.artDerAusbildung">
                            <option value="SW">Softwareentwicklung</option>
                            <option value="NT">Netzwerk</option>
                            <option value="FIA">FIA</option>
                        </select><br>
                        <input type="text" name="email" id="" placeholder="Gruppennummer" v-model="gruppe.gruppenNummer"
                            class="form-control"> <br>
                        <label for="">Im Qualifying? </label>
                        <select class="form-control form-select-lg mb-3" name="Gruppe Qualifying" id=""
                            v-model="gruppe.qualifying">
                            <option value="true">Ja</option>
                            <option value="false">Nein</option>
                        </select><br>
                        <label for="">Raum wählen</label>
                        <select class="form-control form-select-lg mb-3" name="TrainerAnstellung" id=""
                            v-model="gruppe.raumId">
                            <option v-for="(raum, id) in alleRaeume" :key='id' :value="raum.id">
                                {{ raum.raumBezeichnung }}{{ raum.raumNummer }}</option>
                        </select>
                        <button type="submit" class="btn container-fluid btn-info"
                            @click="changeDisplayStyleHide()">Hinzufügen</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</template>

<script>

export default {
    name: 'PostTeilnehmer',
    data() {
        return {

            gruppe: {
                artDerAusbildung: null,
                gruppenNummer: null,
                qualifying: null,
                raumId: null,

            }
        }
    },

    computed: {
        alleRaeume() {
            return this.$store.state.alleRaeume;
        },
    },


    methods: {
        postGruppe(e) {
            console.log(this.gruppe)
            const response = this.$store.dispatch('postGruppe', this.gruppe)
                .then((result) => {
                    console.log(result)
                    console.log(response)
                })
            e.preventDefault()

        },
        changeDisplayStyleShow: function () {
            this.$refs.notShown.style.display = "block";
        },
        changeDisplayStyleHide: function () {
            this.$refs.notShown.style.display = "none";
        }
    },

    mounted() {
        this.$store.dispatch("getAlleRaeume");
    },
}
</script>

<style>
#notShown {
    display: none;
}
</style>